#!/usr/bin/make -f

export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Ensure packages build with no Internet access
export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@

override_dh_auto_configure:
	cp -af api/src backend/
	dh_auto_configure
	# flogger has a very interesting way to generate the platform_provider.jar directly from a java binary
	# This is a replacement for //api:gen_platform_provider
	# This override is only required for the Maven build
	javac -classpath debian/maven-repo/org/ow2/asm/asm/debian/asm-debian.jar \
		api/platformprovider/main/java/com/google/common/flogger/backend/PlatformProviderGenerator.java
	java -classpath api/platformprovider/main/java:debian/maven-repo/org/ow2/asm/asm/debian/asm-debian.jar \
		com.google.common.flogger.backend.PlatformProviderGenerator api/platform_provider.jar
	mvn install:install-file -Dfile=api/platform_provider.jar \
		-DgroupId=com.google.flogger -DartifactId=platform-provider \
		-Dversion=debian -Dpackaging=jar -Dmaven.repo.local=debian/maven-repo

override_dh_auto_build:
	mkdir -p api/target/classes/
	unzip api/platform_provider.jar */PlatformProvider.class -d api/target/classes/
	dh_auto_build

override_dh_auto_test:
